/**
 * @license
 * Copyright Google LLC All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://angular.io/license
 */
import type { ProviderToken } from '../di';
/** Throws an error when a token is not found in DI. */
export declare function throwProviderNotFoundError(token: ProviderToken<unknown>, injectorName?: string): never;
