"use strict";
/**
 * @license
 * Copyright Google LLC All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://angular.io/license
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.compileNgFactoryDefField = void 0;
const compiler_1 = require("static-injector/transform/compiler");
function compileNgFactoryDefField(metadata) {
    const res = (0, compiler_1.compileFactoryFunction)(metadata);
    return {
        name: 'ɵfac',
        initializer: res.expression,
        statements: res.statements,
        type: res.type,
        deferrableImports: null,
    };
}
exports.compileNgFactoryDefField = compileNgFactoryDefField;
