"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.identifierOfNode = void 0;
const typescript_1 = __importDefault(require("typescript"));
function identifierOfNode(decl) {
    if (decl.name !== undefined && typescript_1.default.isIdentifier(decl.name)) {
        return decl.name;
    }
    else {
        return null;
    }
}
exports.identifierOfNode = identifierOfNode;
