"use strict";
/**
 * @license
 * Copyright Google LLC All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://angular.io/license
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.Identifiers = void 0;
const CORE = 'static-injector';
class Identifiers {
    /* Methods */
    /* Instructions */
    static inject = { name: 'ɵɵinject', moduleName: CORE };
    static directiveInject = {
        name: 'ɵɵdirectiveInject',
        moduleName: CORE,
    };
    static invalidFactory = {
        name: 'ɵɵinvalidFactory',
        moduleName: CORE,
    };
    static invalidFactoryDep = {
        name: 'ɵɵinvalidFactoryDep',
        moduleName: CORE,
    };
    static forwardRef = {
        name: 'forwardRef',
        moduleName: CORE,
    };
    static resolveForwardRef = {
        name: 'resolveForwardRef',
        moduleName: CORE,
    };
    static ɵɵdefineInjectable = {
        name: 'ɵɵdefineInjectable',
        moduleName: CORE,
    };
    static InjectableDeclaration = {
        name: 'ɵɵInjectableDeclaration',
        moduleName: CORE,
    };
    static FactoryDeclaration = {
        name: 'ɵɵFactoryDeclaration',
        moduleName: CORE,
    };
    // Signal queries
    // Two-way bindings
    static getInheritedFactory = {
        name: 'ɵɵgetInheritedFactory',
        moduleName: CORE,
    };
}
exports.Identifiers = Identifiers;
